[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# UpdateStoredList

Update a stringlist with object references

## Declaration

Source position: rttiutils.pp line 126

`procedure UpdateStoredList(`
`AComponent: TComponent;`
`AStoredList: TStrings;`
`FromForm: Boolean`
`);`

## Arguments

`AComponent` |  | Root component
`AStoredList` |  | List of property references to resolve
`FromForm` |  | Start search from form or search globally

## Description

UpdateStoredList will parse the strings in AStoredList using ParseStoredItem and will replace the Objects properties with the instance of the object whose name each property path in the list refers to. If FromForm is True, then all instances are searched relative to AComponent, i.e. they must be owned by AComponent. If FromForm is False the instances are searched in the global list of streamed components. (the FindGlobalComponentCallBack callback must be set for the search to work correctly in this case)

If a component cannot be found, the reference string to the property is removed from the stringlist.

## Errors

If AComponent is Nil, an exception may be raised.

## See also

ParseStoredItem |  | Split a property reference to component reference and property name
TPropsStorage.StoreObjectsProps |  | Store a list of component properties
TPropsStorage.LoadObjectsProps |  | Load a list of component properties
FindGlobalComponentCallBack |  | Callback used when component references must be resolved.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.